#
# spec file for package perl-Module-Build-XSUtil
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Module-Build-XSUtil
Version:        0.19
Release:        1.20
%define cpan_name Module-Build-XSUtil
Summary:        Module::Build class for building XS modules
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HI/HIDEAKIO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Cwd::Guard)
BuildRequires:  perl(Devel::CheckCompiler)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(File::Copy::Recursive::Reduced) >= 0.002
BuildRequires:  perl(Module::Build) >= 0.400500
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(parent)
Requires:       perl(Devel::CheckCompiler)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(parent)
%{perl_requires}

%description
Module::Build::XSUtil is subclass of Module::Build for support building XS
modules.

This is a list of a new parameters in the Module::Build::new method:

* needs_compiler_c99

This option checks C99 compiler's availability. If it's not available,
Build.PL exits by 0.

* needs_compiler_cpp

This option checks C++ compiler's availability. If it's not available,
Build.PL exits by 0.

In addition, append 'extra_compiler_flags' and 'extra_linker_flags' for
C++.

* generate_ppport_h

Genereate ppport.h by Devel::PPPort.

* generate_xshelper_h

Genereate xshelper.h which is a helper header file to include EXTERN.h,
perl.h, XSUB.h and ppport.h, and defines some portability stuff which are
not supported by ppport.h.

It is porting from Module::Install::XSUtil.

* cc_warnings

Enable compiler warnings flag. It is enable by default.

* -g options

If invoke Build.PL with '-g' option, It will build with debug options.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes minil.toml README.md
%license LICENSE

%changelog
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.19
  see /usr/share/doc/packages/perl-Module-Build-XSUtil/Changes
  0.19 2018-04-17T14:51:20Z
  - Use File::Copy::Recursive::Reduced instead File::Copy::Recursive(#13)
    (jkeenan)
* Thu Nov  9 2017 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Module-Build-XSUtil/Changes
  0.18 2017-11-01T18:22:27Z
  - Remove Module::Build::Tiny from deps
* Wed Nov  1 2017 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Module-Build-XSUtil/Changes
  0.17 2017-10-31T13:00:43Z
  - Support pure-perl build
* Tue Jun 30 2015 coolo@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-Module-Build-XSUtil/Changes
  0.16 2015-06-29T15:55:13Z
  - Fix regexp of _gcc_version for Ubuntu and Debian
    (syohex)
  - Set -std=c99 explicitly for older GCC
    (syohex)
* Fri Apr 24 2015 coolo@suse.com
- updated to 0.15
  see /usr/share/doc/packages/perl-Module-Build-XSUtil/Changes
  0.15 2015-04-23T22:43:05Z
  - Update XSHelper for Fix STATIC_INLINE for gcc -std=c89
    (vpit)
* Mon Sep 15 2014 coolo@suse.com
- initial package 0.14
  * created by cpanspec 1.78.08
